﻿.onlineStatusPopupView {
    background: white;
    border-radius: 8px;
    display: flex;
    flex-direction: column;
}

    .onlineStatusPopupView .topPane {
        height: 40px;
        background: #F5F5F5;
        background: var(--color_F5F5F5);
        border-radius: 8px 8px 0 0;
        flex-direction: row;
        justify-content: space-between;
        display: inline-flex;
        align-items: center;
        padding-left: 15px;
        padding-right: 15px;
    }

        .onlineStatusPopupView .topPane .cancelIconBtn {
            cursor: pointer;
        }

    .onlineStatusPopupView .bottomPane {
        flex-direction: row-reverse;
        display: inline-flex;
        padding-left: 20px;
        padding-right: 20px;
        padding-bottom: 20px;
    }

        .onlineStatusPopupView .bottomPane .submitBtn {
            background: #FF8A4F;
            background: var(--color_FF8A4F);
            border-radius: 100px;
            font-size: 17px;
            color: #FFFFFF;
            letter-spacing: 0;
            font-weight: 400;
            padding: 6px 16px;
            margin-left: 15px;
            cursor: pointer;
        }

            .onlineStatusPopupView .bottomPane .submitBtn:hover,
            .onlineStatusPopupView .bottomPane .submitBtn:active {
                background: #FF6416;
                background: var(--color_FF6416);
            }

        .onlineStatusPopupView .bottomPane .cancelBtn {
            background: white;
            border-radius: 100px;
            font-size: 17px;
            color: #919191;
            color: var(--color_919191);
            letter-spacing: 0;
            font-weight: 400;
            padding: 6px 16px;
            cursor: pointer;
        }

            .onlineStatusPopupView .bottomPane .cancelBtn:hover,
            .onlineStatusPopupView .bottomPane .cancelBtn:active {
                background: #EBEBEB;
                background: var(--color_EBEBEB);
            }

    /* 個人狀態訊息輸入視窗 */
    .onlineStatusPopupView .onlineStatusMessageContentPane {
        padding: 40px;
    }

        .onlineStatusPopupView .onlineStatusMessageContentPane .inputPane {
            position: relative;
            border: 1px solid #C9C9C9;
            border-color: var(--color_C9C9C9);
            border-radius: 18px;
            padding: 9px 40px 9px 16px;
        }

            .onlineStatusPopupView .onlineStatusMessageContentPane .inputPane .clearBtn {
                width: 18px;
                height: 18px;
                background: url(../Images/btn_contacts_del.png) no-repeat;
                padding: 0;
                position: absolute;
                right: 10px;
                top: 50%;
                transform: translateY(-50%);
                opacity: 0.6;
                cursor: pointer;
            }

                .onlineStatusPopupView .onlineStatusMessageContentPane .inputPane .clearBtn:hover,
                .onlineStatusPopupView .onlineStatusMessageContentPane .inputPane .clearBtn:active {
                    opacity: 1;
                }

        .onlineStatusPopupView .onlineStatusMessageContentPane .textCount {
            font-size: 12px;
            color: #7F7F7F;
            color: var(--color_7F7F7F);
            letter-spacing: 0;
            text-align: right;
            font-weight: 400;
            margin-top: 4px;
        }

    /* 自訂個人線上狀態列表視窗 */
    .onlineStatusPopupView .onlineStatusCustomOptionContentPane {
        padding-top: 40px;
        padding-bottom: 40px;
    }

        .onlineStatusPopupView .onlineStatusCustomOptionContentPane .optionsPane .optionPane {
            display: flex;
            align-items: center;
            justify-content: center;
            margin-top: 32px;
        }

            .onlineStatusPopupView .onlineStatusCustomOptionContentPane .optionsPane .optionPane:first-child {
                margin-top: 0;
            }

            .onlineStatusPopupView .onlineStatusCustomOptionContentPane .optionsPane .optionPane .statusOnlineLightBtn {
                position: relative;
                width: 14px;
                height: 14px;
                border: 1px solid #C9C9C9;
                border-color: var(--color_C9C9C9);
                border-radius: 50%;
                padding: 5px;
                cursor: pointer;
            }

                .onlineStatusPopupView .onlineStatusCustomOptionContentPane .optionsPane .optionPane .statusOnlineLightBtn .selectStatusBtn {
                    position: relative;
                    height: 100%;
                    border-radius: 50%;
                }

                .onlineStatusPopupView .onlineStatusCustomOptionContentPane .optionsPane .optionPane .statusOnlineLightBtn .lightSelectView {
                    position: absolute;
                    width: 168px;
                    background: #FFFFFF;
                    box-shadow: 0 0 8px 0 rgb(0 0 0 / 30%);
                    border-radius: 8px;
                    padding-top: 6px;
                    padding-bottom: 6px;
                    display: flex;
                    flex-wrap: wrap;
                    justify-content: center;
                    z-index: 100;
                    left: 0;
                    margin-top: 8px;
                }

                    .onlineStatusPopupView .onlineStatusCustomOptionContentPane .optionsPane .optionPane .statusOnlineLightBtn .lightSelectView .lightBtnSelectPane {
                        width: 24px;
                        height: 24px;
                        padding: 2px;
                        border: 1px solid #FFFFFF;
                        border-radius: 50%;
                        margin: 2px 4px;
                    }

                        .onlineStatusPopupView .onlineStatusCustomOptionContentPane .optionsPane .optionPane .statusOnlineLightBtn .lightSelectView .lightBtnSelectPane.currentSelect {
                            border: 1px solid #A7A7A7;
                            border-color: var(--color_A7A7A7);
                        }

                        .onlineStatusPopupView .onlineStatusCustomOptionContentPane .optionsPane .optionPane .statusOnlineLightBtn .lightSelectView .lightBtnSelectPane:hover,
                        .onlineStatusPopupView .onlineStatusCustomOptionContentPane .optionsPane .optionPane .statusOnlineLightBtn .lightSelectView .lightBtnSelectPane:active {
                            background: #EBEBEB;
                            background: var(--color_EBEBEB);
                        }

            .onlineStatusPopupView .onlineStatusCustomOptionContentPane .optionsPane .optionPane .inputPane {
                position: relative;
                width: 320px;
                margin-left: 20px;
                border: 1px solid #C9C9C9;
                border-color: var(--color_C9C9C9);
                border-radius: 18px;
                padding: 9px 52px 9px 16px;
            }

                .onlineStatusPopupView .onlineStatusCustomOptionContentPane .optionsPane .optionPane .inputPane .textCount {
                    position: absolute;
                    right: 12px;
                    top: 50%;
                    transform: translateY(-50%);
                    font-size: 12px;
                    color: #7F7F7F;
                    color: var(--color_7F7F7F);
                    letter-spacing: 0;
                    text-align: right;
                    font-weight: 400;
                }

                .onlineStatusPopupView .onlineStatusCustomOptionContentPane .optionsPane .optionPane .inputPane .clearBtn {
                    width: 18px;
                    height: 18px;
                    background: url(../Images/btn_contacts_del.png) no-repeat center/100%;
                    position: absolute;
                    right: 10px;
                    top: 50%;
                    transform: translateY(-50%);
                    opacity: 0.6;
                    cursor: pointer;
                }

                    .onlineStatusPopupView .onlineStatusCustomOptionContentPane .optionsPane .optionPane .inputPane .clearBtn:hover,
                    .onlineStatusPopupView .onlineStatusCustomOptionContentPane .optionsPane .optionPane .inputPane .clearBtn:active {
                        opacity: 1;
                    }

                .onlineStatusPopupView .onlineStatusCustomOptionContentPane .optionsPane .optionPane .inputPane .removeOptionBtn {
                    width: 18px;
                    height: 18px;
                    background: url(../Images/btn_textfield_del_n.png) no-repeat center/100%;
                    position: absolute;
                    right: 10px;
                    top: 50%;
                    transform: translateY(-50%);
                    cursor: pointer;
                }

                    .onlineStatusPopupView .onlineStatusCustomOptionContentPane .optionsPane .optionPane .inputPane .removeOptionBtn:hover,
                    .onlineStatusPopupView .onlineStatusCustomOptionContentPane .optionsPane .optionPane .inputPane .removeOptionBtn:active {
                        background: url(../Images/btn_textfield_del_hl.png) no-repeat center/100%;
                    }

        .onlineStatusPopupView .onlineStatusCustomOptionContentPane .addOptionBtn {
            font-size: 14px;
            color: #7F7F7F;
            color: var(--color_7F7F7F);
            font-weight: 400;
            text-align: center;
            margin-top: 16px;
            cursor: pointer;
        }

            .onlineStatusPopupView .onlineStatusCustomOptionContentPane .addOptionBtn:hover,
            .onlineStatusPopupView .onlineStatusCustomOptionContentPane .addOptionBtn:active {
                color: #5B5B5B;
                color: var(--color_5B5B5B);
            }